RichMessageTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.RichMessageTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class RichMessageTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.RichMessageTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class RichMessageTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RichMessageTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAjaxRendered(java.lang.String __ajaxRendered)`
`void` | `setErrorClass(java.lang.String __errorClass)`
`void` | `setErrorLabelClass(java.lang.String __errorLabelClass)`
`void` | `setErrorMarkerClass(java.lang.String __errorMarkerClass)`
`void` | `setFatalClass(java.lang.String __fatalClass)`
`void` | `setFatalLabelClass(java.lang.String __fatalLabelClass)`
`void` | `setFatalMarkerClass(java.lang.String __fatalMarkerClass)`
`void` | `setFor(java.lang.String __for)`
`void` | `setInfoClass(java.lang.String __infoClass)`
`void` | `setInfoLabelClass(java.lang.String __infoLabelClass)`
`void` | `setInfoMarkerClass(java.lang.String __infoMarkerClass)`
`void` | `setKeepTransient(java.lang.String __keepTransient)`
`void` | `setLabelClass(java.lang.String __labelClass)`
`void` | `setMarkerClass(java.lang.String __markerClass)`
`void` | `setMarkerStyle(java.lang.String __markerStyle)`
`void` | `setPassedLabel(java.lang.String __passedLabel)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setShowDetail(java.lang.String __showDetail)`
`void` | `setShowSummary(java.lang.String __showSummary)`
`void` | `setTooltip(java.lang.String __tooltip)`
`void` | `setWarnClass(java.lang.String __warnClass)`
`void` | `setWarnLabelClass(java.lang.String __warnLabelClass)`
`void` | `setWarnMarkerClass(java.lang.String __warnMarkerClass)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RichMessageTag

    public RichMessageTag()

Method Detail

### setMarkerStyle

    public void setMarkerStyle(java.lang.String __markerStyle)

### setTooltip

    public void setTooltip(java.lang.String __tooltip)

### setWarnMarkerClass

    public void setWarnMarkerClass(java.lang.String __warnMarkerClass)

### setPassedLabel

    public void setPassedLabel(java.lang.String __passedLabel)

### setFatalMarkerClass

    public void setFatalMarkerClass(java.lang.String __fatalMarkerClass)

### setKeepTransient

    public void setKeepTransient(java.lang.String __keepTransient)

### setInfoMarkerClass

    public void setInfoMarkerClass(java.lang.String __infoMarkerClass)

### setFatalLabelClass

    public void setFatalLabelClass(java.lang.String __fatalLabelClass)

### setFor

    public void setFor(java.lang.String __for)

### setFatalClass

    public void setFatalClass(java.lang.String __fatalClass)

### setInfoLabelClass

    public void setInfoLabelClass(java.lang.String __infoLabelClass)

### setAjaxRendered

    public void setAjaxRendered(java.lang.String __ajaxRendered)

### setMarkerClass

    public void setMarkerClass(java.lang.String __markerClass)

### setInfoClass

    public void setInfoClass(java.lang.String __infoClass)

### setShowDetail

    public void setShowDetail(java.lang.String __showDetail)

### setErrorLabelClass

    public void setErrorLabelClass(java.lang.String __errorLabelClass)

### setLabelClass

    public void setLabelClass(java.lang.String __labelClass)

### setErrorMarkerClass

    public void setErrorMarkerClass(java.lang.String __errorMarkerClass)

### setShowSummary

    public void setShowSummary(java.lang.String __showSummary)

### setWarnLabelClass

    public void setWarnLabelClass(java.lang.String __warnLabelClass)

### setWarnClass

    public void setWarnClass(java.lang.String __warnClass)

### setErrorClass

    public void setErrorClass(java.lang.String __errorClass)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.